<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_44a0f7eed3d3cd9c0c7c600eb1" . "500b23" => base64_decode("Q2FuJ3QgbW92ZSB0byBkZXN0aW5hdGlv" . "bg=="), "_8e571151" . "c0c1d067c" . "14c227bf6" . "c6a704" => base64_decode("ZG9jdW1lbnRz" . "LmVkaXRkb2Mu" . "ZGVjbGFyZWRf" . "ZG9jX2Vycm9y"), "_0c5123aa744f69bbc0e8" . "b3ea2f6e847d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_e16406e" . "6d49d15f" . "2ad16b66" . "58ad926a" . "d" => base64_decode("ZG9jdW1lbnRzLmZvbGRlcl9p" . "c19jbG9zZWQ="));




class ERMSPermsCheckerAdmin extends ERMSPermsChecker
{
    public function CanDelete(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        if (!$_68ffaaa31e3ba49ed9d6159fbee9f043 instanceof ERMSDataObj && !$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        
        
        return true;
    }
    public function CanChangeDocument(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanChangeContent(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanOnlyCreateDrafts(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        
        
        return false;
    }
    public function CanEditMetadata(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        if (!$this->CheckLocked($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        return true;
    }
    public function CanMove(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043, ERMSObject $_b0eff9162b2830bd7a38fc626c309d38 = null)
    {
        if (!$this->CanDelete($_68ffaaa31e3ba49ed9d6159fbee9f043)) {
            return false;
        }
        if (!$this->CanChangeContent($_b0eff9162b2830bd7a38fc626c309d38)) {
            return $this->PassError(false, $this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_44a0f7eed3d3cd9" . "c0c7c600eb1500b2" . "3"]);
        }
        return true;
    }
    protected function CheckLocked(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043 = null)
    {
        if ($_68ffaaa31e3ba49ed9d6159fbee9f043 instanceof ERMSLockable && $_68ffaaa31e3ba49ed9d6159fbee9f043->IsLocked()) {
            return $this->SetErrMsg($_68ffaaa31e3ba49ed9d6159fbee9f043->IsFilePlan() ? $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_e16406e6d49d15f2ad16b6658" . "ad926ad"]) : $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69b" . "bc0e8b3ea2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_8e571151c0c1d067c14c227bf6" . "c6a704"]), 409);
        }
        return true;
    }
    public function CanView(ERMSObject $_68ffaaa31e3ba49ed9d6159fbee9f043)
    {
        return true;
    }
}